---
updatedAt: 2026-05-27T00:16:27.000Z
agentTools:
  projectIndex: https://360learning.readme.io/llms.txt
---

# List all content IDs in a group catalog

> 🔑
>
> Required OAuth scope: `groups:read`.

> 📖
>
> This endpoint is paginated with a page size of 10,000 unique content IDs. For more information, see the [Pagination guide](doc:pagination).

Lists all content IDs of a given type shared in the group catalog.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/groups/{groupId}/catalog/{contentType}-ids": {
      "get": {
        "description": "> 🔑\n>\n> Required OAuth scope: `groups:read`.\n\n> 📖\n>\n> This endpoint is paginated with a page size of 10,000 unique content IDs. For more information, see the [Pagination guide](https://360learning.readme.io/docs/pagination).\n\nLists all content IDs of a given type shared in the group catalog.",
        "operationId": "v2.groups.GetCatalogContentIdsController_getCatalogContentIds",
        "parameters": [
          {
            "name": "360-api-version",
            "in": "header",
            "description": "The version of the API.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "v2.0"
              ]
            }
          },
          {
            "name": "groupId",
            "required": true,
            "in": "path",
            "description": "The unique ID of the group.",
            "schema": {
              "format": "ObjectId",
              "pattern": "^[a-fA-F0-9]{24}$",
              "example": "507f1f77bcf86cd799439011",
              "type": "string"
            }
          },
          {
            "name": "contentType",
            "required": true,
            "in": "path",
            "description": "The type of content IDs to retrieve.",
            "schema": {
              "enum": [
                "path-session",
                "course"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returns one page of 10000 unique content IDs.",
            "headers": {
              "Link": {
                "schema": {
                  "type": "string"
                },
                "description": "URL (between `<` `>`) to fetch the immediate next page of results. For more information, see our [Pagination guide](https://360learning.readme.io/docs/pagination).\n\n⚠️ Only included if there is another page of results.",
                "example": "<my/resource/url>; rel=\"next\""
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "format": "ObjectId",
                    "example": "507f1f77bcf86cd799439011"
                  }
                }
              }
            }
          },
          "401": {
            "description": "The given access token is either missing, invalid, has expired, or has been revoked.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "invalid_token"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "The given access token does not have the required OAuth scope to execute the request.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Invalid Scope",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "invalid_scope"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "The given `groupId` does not correspond to any existing group.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Group Not Found",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "groupNotFound"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "The client has sent too many requests in a short amount of time. ",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "tooManyRequests"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "summary": "List all content IDs in a group catalog",
        "tags": [
          "Groups"
        ]
      }
    }
  },
  "info": {
    "title": "Core API",
    "description": "",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://app.360learning.com",
      "description": "Production EU"
    },
    {
      "url": "https://app.us.360learning.com",
      "description": "Production US"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {},
        "description": "Use the token from the authentication endpoint in the Authorization header.\n\nExample: `Authorization: Bearer <token>`"
      }
    }
  }
}
```